Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Nvidia 325 and kernel 3.12
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware
View previous topic :: View next topic  
Author Message
LukynZ
Apprentice
Apprentice


Joined: 19 Dec 2008
Posts: 224
Location: The Czech Republic

PostPosted: Mon Dec 02, 2013 5:18 pm    Post subject: Nvidia 325 and kernel 3.12 Reply with quote

Nvidia 331 drivers are suddenly masked, however older ones are unable to compile against 3.12 kernel even with patches for 3.11 (well >=). So what can I do as KDE user?
Back to top
View user's profile Send private message
nenemsis5
n00b
n00b


Joined: 23 Oct 2007
Posts: 52

PostPosted: Mon Dec 02, 2013 5:32 pm    Post subject: Reply with quote

just unmask it and all will work fine:


http://wiki.gentoo.org/wiki/Knowledge_Base:Unmasking_a_package
Back to top
View user's profile Send private message
aCOSwt
Moderator
Moderator


Joined: 19 Oct 2007
Posts: 2384
Location: Hilbert space

PostPosted: Mon Dec 02, 2013 5:36 pm    Post subject: Reply with quote

Don't unmask! Numerous problems are being reported everywhere with nvidia-drivers >= 319.60

Do prefer downgrading to 304.116 which is compatible with latest kernels.
_________________


Last edited by aCOSwt on Mon Dec 02, 2013 9:22 pm; edited 1 time in total
Back to top
View user's profile Send private message
shazeal
Tux's lil' helper
Tux's lil' helper


Joined: 03 May 2006
Posts: 140
Location: New Zealand

PostPosted: Mon Dec 02, 2013 6:41 pm    Post subject: Reply with quote

Zero problems here with the 331.20 drivers since release. I am using it on two machines, the gentoo one with custom 3.12 kernel is perfect. The debian machine I had to roll back the kernel to the default 3.2 otherwise I got Xorg segfaults using the 3.10 kernel.

EDIT: Also the 304 drivers have issues with Composite + XFT fonts, which is fixed in 331.20 if that is relevant to you.
_________________
CFLAGS="-OmgWTFR1CE --fun-lol-loops --march=asmx86go"
Back to top
View user's profile Send private message
LukynZ
Apprentice
Apprentice


Joined: 19 Dec 2008
Posts: 224
Location: The Czech Republic

PostPosted: Mon Dec 02, 2013 6:59 pm    Post subject: Reply with quote

It's masked due to KDE related problems and I am KDE user, so unmask is really not option for me :) 304 is older one than 325 and it's compatible with 3.12 kernel?
Back to top
View user's profile Send private message
aCOSwt
Moderator
Moderator


Joined: 19 Oct 2007
Posts: 2384
Location: Hilbert space

PostPosted: Mon Dec 02, 2013 7:36 pm    Post subject: Reply with quote

LukynZ wrote:
304 is older one than 325 and it's compatible with 3.12 kernel?

nvidia-drivers-304.116.ebuild wrote:
if use kernel_linux && kernel_is ge 3 13 ; then
ewarn "Gentoo supports kernels which are supported by NVIDIA"
ewarn "which are limited to the following kernels:"
ewarn "<sys-kernel/gentoo-sources-3.13"
ewarn "<sys-kernel/vanilla-sources-3.13"

In addition to this... its precisely the release that nividia recommends for my card... which is... not old.
_________________
Back to top
View user's profile Send private message
dmpogo
Advocate
Advocate


Joined: 02 Sep 2004
Posts: 2276
Location: Canada

PostPosted: Mon Dec 02, 2013 8:00 pm    Post subject: Reply with quote

LukynZ wrote:
It's masked due to KDE related problems and I am KDE user, so unmask is really not option for me :) 304 is older one than 325 and it's compatible with 3.12 kernel?


Nvidia has a set of legacy long-term drivers which it continues to update to newer kernels. So no surprise that some of them got updated, while intermediate release in the latest family is not.


Last edited by dmpogo on Mon Dec 02, 2013 9:35 pm; edited 1 time in total
Back to top
View user's profile Send private message
gerard82
Advocate
Advocate


Joined: 04 Jan 2004
Posts: 2181
Location: Netherlands

PostPosted: Mon Dec 02, 2013 8:57 pm    Post subject: Reply with quote

Thanks aCOSwt.
Just emerged it because upgrading world today wanted me to downgrade to 325.15 which won't run on kenel 3.12.2.
Gerard.
_________________
To install Gentoo I use sysrescuecd.Based on Gentoo,has midori to browse Gentoo docs and mc to browse (and edit) files.
The same disk can be used for 32 and 64 bit installs.
You can follow the Handbook verbatim.
http://www.sysresccd.org/Download
Back to top
View user's profile Send private message
aCOSwt
Moderator
Moderator


Joined: 19 Oct 2007
Posts: 2384
Location: Hilbert space

PostPosted: Mon Dec 02, 2013 9:39 pm    Post subject: Reply with quote

gerard82 wrote:
Thanks aCOSwt.
Just emerged it because upgrading world today wanted me to downgrade to 325.15 which won't run on kenel 3.12.2.
Gerard.

It's a pleasure Gérard.
I always stick to the release Nvidia recommends for my device here : http://www.nvidia.com/Download/Find.aspx?lang=en-us

8O Hey... just rechecked... it was 304.1160 a couple of days ago... it just jumped to 319.76
Not in portage yet... and don't really know if I will swap considering all the problems I am experiencing with > 319.49
_________________
Back to top
View user's profile Send private message
ulenrich
Veteran
Veteran


Joined: 10 Oct 2010
Posts: 1122

PostPosted: Mon Dec 02, 2013 11:19 pm    Post subject: Reply with quote

aCOSwt wrote:
it just jumped to 319.76
Not in portage yet... and don't really know if I will swap considering all the problems I am experiencing with > 319.49
Vote for https://bugs.gentoo.org/show_bug.cgi?id=493160
_________________
fun2gen2
Back to top
View user's profile Send private message
frank9999
n00b
n00b


Joined: 20 Feb 2013
Posts: 24

PostPosted: Tue Dec 03, 2013 10:32 am    Post subject: Reply with quote

My Systems:
Portage 2.2.7 (default/linux/amd64/13.0/desktop/kde, gcc-4.7.3, glibc-2.16.0, 3.12.2-gentoo x86_64)
KDE 4.11.3

GPU Laptop: 460M
Workstation: GTX 680
100% Identical Software on both machines.

My test results:

331.20 (Patched to work with Kernel 3.12) -> Sometimes short high CPU usage peaks from X, no other problems!
325.15 (Patched to work with Kernel 3.12) -> High CPU load from X, "Zombi" processes, strange system behavior, unexpected delays from time to time
319.76 (unpatched, not available via portage) -> High CPU load, drawing errors from time to time, unexpected delays from time to time, 2x application crashed

Identical results on the laptop and workstation!

Result version 331.20 is my choice.
Back to top
View user's profile Send private message
ulenrich
Veteran
Veteran


Joined: 10 Oct 2010
Posts: 1122

PostPosted: Tue Dec 03, 2013 1:32 pm    Post subject: Reply with quote

Perhaps interesting output, as it is stated signal mask related:
Code:
 $ for i in $(grep SigBlk /proc/*/status| grep -v 00000000000) ; do \
 [ -f ${i/status*}cmdline ]&&cat ${i/status*}cmdline||echo -e "\nSigBlk $i\n";done


/sbin/systemd
 SigBlk 7be3c0fe28014a03

/usr/lib/systemd/systemd--user
 SigBlk 7be3c0fe28014a03

kdeinit4: kded4 [kdeinit]
 SigBlk 00007ffe3e397090

kdeinit4: krunner [kdeinit]
 SigBlk 00007ffe3e397e30

kdeinit4: dolphin [kdeinit] --icon system-file-ma
 SigBlk 00007ffe3e397ca0

/usr/lib/systemd/systemd-udevd
 SigBlk fffffffe7ffbfeff


$ zcat /proc/config.gz |grep CONFIG_BSD_PROCESS_ACCT
CONFIG_BSD_PROCESS_ACCT=y
CONFIG_BSD_PROCESS_ACCT_V3=y
That is nvidia-drivers-319.76, Linux-3.12.3rc1, Bfs, glibc-2.17, systemd-208
I don't feel affected. But I don't run nepomuk,akonadi etc.
_________________
fun2gen2
Back to top
View user's profile Send private message
Atmmac
n00b
n00b


Joined: 17 Oct 2013
Posts: 26
Location: Watertown, MA

PostPosted: Tue Dec 03, 2013 2:57 pm    Post subject: Reply with quote

I have been using 331-20 since they came out on KDE with no problems. 325-15 doesn't even build on 3.12.2. This threw me for a loop today. I would recommend unmasking.
Back to top
View user's profile Send private message
TomWij
Developer
Developer


Joined: 04 Jul 2012
Posts: 1359

PostPosted: Wed Dec 04, 2013 3:43 pm    Post subject: Reply with quote

Can indeed confirm that those config variables cause a difference, the new workaround is thus to either downgrade to ~x11-drivers/nvidia-drivers-325.25 or alternatively set CONFIG_BSD_PROCESS_ACCT=n CONFIG_BSD_PROCESS_ACCT_V3=n in the kernel .config; I'm now trying to see if a specific kernel version introduced this.
Back to top
View user's profile Send private message
aCOSwt
Moderator
Moderator


Joined: 19 Oct 2007
Posts: 2384
Location: Hilbert space

PostPosted: Sat Dec 07, 2013 9:55 pm    Post subject: Reply with quote

aCOSwt wrote:
gerard82 wrote:
Thanks aCOSwt.
Just emerged it because upgrading world today wanted me to downgrade to 325.15 which won't run on kenel 3.12.2.
Gerard.

It's a pleasure Gérard.
I always stick to the release Nvidia recommends for my device here : http://www.nvidia.com/Download/Find.aspx?lang=en-us

8O Hey... just rechecked... it was 304.1160 a couple of days ago... it just jumped to 319.76
Not in portage yet... and don't really know if I will swap considering all the problems I am experiencing with > 319.49

8O zOMG! 8O
I rechecked for my 9800GT...
Updated on dec 6th...

Back to... the trees ! :

! 173.1439 !

I think it's the one I started with. :roll:
_________________
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum